PostgreSQL 9.6.0.1 qpkg nur bis FW 4.2.6 kompatibel?

  • Hallo,


    ich habe folgendes Problem. Ich benötige PostgreSQL >= 9.5

    Als 9.6.0.1 gibt es ja von QNAP das qpkg. Auf meinen alten TS-239 und TS-459 Pro II funktioniert es auch fehlerfrei inkl. dem phpPgAdmin Aufruf als admin-tool.

    Hier endet von QNAP ja die FW mit der Version 4.2.6.


    Auf meinem TS-870 Pro oder TVS-871 ist die FW 4.3.4.0486 installiert. Auch dort läßt sich das PostgreSQL 9.6.0.1 ohne jegliche Fehlermeldung installieren.

    Beim Versuch den integrierten phpPgAdmin aufzurufen, bekomme ich die Fehlermeldung:

    Code
    1. Ihre PHP-Installation unterstützt PostgreSQL nicht. Sie müssen PHP unter Verwendung der Konfigurationsoption --with-pgsql neu kompilieren.


    Bei der Installation der alten PostgreSQL Version 9.3.13.3 funktioniert der phpPgAdmin Aufruf bei allen NAS Modellen.


    Nach meiner Überprüfung läuft FW 4.2.6 mit der PHP Version 5.5.38 und die FW 4.3.4 mit der PHP Version 5.6.31.


    Im Ordner /usr/localapache/logs gibt es eine phpfpm_test.log Datei mit folgendem Inhalt:

    Code
    1. [19-Nov-2018 10:41:50] NOTICE: PHP message: PHP Warning: PHP Startup: Unable to load dynamic library '/usr/local/apache/modules/pgsql.so' - /usr/local/apache/modules/pgsql.so: wrong ELF class: ELFCLASS32 in Unknown on line 0
    2. [19-Nov-2018 10:41:50] NOTICE: configuration file /etc/config/apache/php-fpm.conf test is successful


    Das wird wohl der Fehler sein, nur komme ich jetzt nicht mehr weiter, weil ich dafür keine Lösung habe.


    Es gibt zwar im Qnap.eu center die QPostgreSQL > 9.5 Versionen, ja sogar die 10er Version, aber die kann ich auf keinem NAS mit irgend einem adminTool jemals ansprechen. Und ohne adminTool ist die Verwaltung von neuen usern etc. absolut untauglich.


    Selbst die neueste PGAdmin Version 4 von einem Windows PC kann die 'alte' original QNAP PostgreSQL 9.3.13.3 wunderbar verwalten...nur die 9.6.0.1 nicht.


    Hat jemand eine Idee, wie ich das Problem lösen könnte? ;(


    Vielen Dank im Voraus:qclub: